package rainbowbox.download;

//import rainbowbox.download.DownloadItem;
import rainbowbox.download.IDownloadListener;
import rainbowbox.download.DownloadParams ;

interface IDownloadService {
    void init();
    int getCount();
//	DownloadItem getItem(int itemIndex, String savedUri);
	String startDownload(String downloadUrl, String downloadTag, long length, boolean notification, String reportUrl, int resType, int resSubtype, inout byte[] extendData, byte taskType);//Return URI
	String startDownloadExt(in DownloadParams downloadParms);
	String startDownloadExtV2(in DownloadParams downloadParms, boolean showtoast);
	void startBatchDownload(in List<DownloadParams> tasks); 
	void cancelDownload(String savedUri, String downloadUrl, String downloadTag);
	void cancelBatchDownload(in List<DownloadParams> tasks);
	void cancelAllDownload(int downtype, boolean deletefile);
	void pauseDownload(String savedUri, String downloadUrl, String downloadTag);
	void pauseBatchDownload(in List<DownloadParams> tasks);
    void pauseAllDownload(int downtype);
	void deleteDownloadFile(String savedUri, String downloadUrl, String downloadTag, boolean localFile);
	void showToastMessage(int i,String info);
	void addListener(IDownloadListener listener);
	void removeListener(IDownloadListener listener);
	void exit(int mainPID);
    void setDownloadMaxCount(int count);
}
